# w.c.s. - web application for online forms
# Copyright (C) 2005-2017  Entr'ouvert
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

from quixote import get_publisher, get_response, get_request

def get_global_context():
    pub = get_publisher()
    if pub:
        return pub.substitutions.get_context_variables(mode='lazy')

def publisher(request):
    template_base = 'wcs/base.html'
    if request.path.startswith('/backoffice/'):
        template_base = 'wcs/blank.html'
    from .variables import LazyRequest
    return {'publisher': get_publisher,
            'response': get_response,
            'user': lambda: get_request() and get_request().user,
            'template_base': template_base,
            'global_context': get_global_context,
            }
